### Method

# ECal ComponentAlarmTrigger get_absolute_time

since: 3.34

#### Declaration [src]

    ICalTime*
    e_cal_component_alarm_trigger_get_absolute_time (
      const ECalComponentAlarmTrigger* trigger
    )

#### Description [src]

Returns the `trigger` absolute time for an absolute trigger, or `NULL`, when the `trigger` is a relative trigger. The object is owned by `trigger` and it’s valid until the `trigger` is freed or its absolute time changed.

Available since: 3.34

#### Return value

Type: `None`

The `trigger` absolute time, as an `ICalTime`, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.